package com.gh.gamecenter.entity

import android.os.Parcel
import android.os.Parcelable

/**
 * Created by khy on 20/06/17.
 */

class GameDetailService : Parcelable {

    var des: String? = null

    var qq: String? = null

    override fun describeContents(): Int {
        return 0
    }

    override fun writeToParcel(dest: Parcel, flags: Int) {
        dest.writeString(this.des)
        dest.writeString(this.qq)
    }

    constructor()

    protected constructor(`in`: Parcel) {
        this.des = `in`.readString()
        this.qq = `in`.readString()
    }

    companion object {

        @JvmField
        val CREATOR: Parcelable.Creator<GameDetailService> = object : Parcelable.Creator<GameDetailService> {
            override fun createFromParcel(source: Parcel): GameDetailService {
                return GameDetailService(source)
            }

            override fun newArray(size: Int): Array<GameDetailService?> {
                return arrayOfNulls(size)
            }
        }
    }
}
